QLNode(3qt)

NAME
QLNode - Internal class for the QList template collection

SYNOPSIS

#include <qglist.h>

  Public Members
GCI getData ()

DESCRIPTION
The QLNode class is an internal class for the QList template collection.

QLNode is a doubly linked list node; it has three pointers:

1   Pointer to the previous node.

2   Pointer to the next node.

3   Pointer to the actual data.

Sometimes it might be practical to have direct access to the list nodes in a QList, but it is seldom required.

Warning: Be very careful if you want to access the list nodes. The heap can easily get corrupted if you make a mistake.

See also: QList::currentNode(), QList::removeNode() and QList::takeNode().

MEMBER FUNCTION DOCUMENTATION

GCI QLNode::getData ()
Returns a pointer (void*) to the actual data in the list node.

SEE ALSO
http://www.troll.no/qt/qlnode.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.